<?php
include "../../conexion.php";
include "../../parametros.php";

/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
date_default_timezone_set('Europe/London');

define('EOL',(PHP_SAPI == 'cli') ? PHP_EOL : '<br />');

/** Include PHPExcel */
//require_once dirname(__FILE__) . '/../Classes/PHPExcel.php';
require_once('../Classes/PHPExcel.php');

$noencuesta=$_REQUEST["en"];
//borramos los datos de resultados
$sql_insertemp=mysqli_query($conexion,"delete from bateria_respuesta_empleado  
										   where cuestionario='1'
										   and bateria='".$noencuesta."'"); 

$sql_insertemp=mysqli_query($conexion,"delete from bateria_respuesta_empleado  
										   where cuestionario='2'
										   and bateria='".$noencuesta."'"); 

$sql_insertemp=mysqli_query($conexion,"delete from bateria_respuesta_empleado  
										   where cuestionario='3'
										   and bateria='".$noencuesta."'"); 										   

$sql_insertemp=mysqli_query($conexion,"delete from bateria_respuesta_empleado_dominio  
										   where bateria='".$noencuesta."'"); 

$sql_insertemp=mysqli_query($conexion,"delete from bateria_respuesta_general  
										   where bateria='".$noencuesta."'"); 

$sql_insertemp=mysqli_query($conexion,"delete from bateria_repuesta_dominio  
										   where bateria='".$noencuesta."'"); 




// Create new PHPExcel object
echo "<A href='../../bateria_riesgo/verdoc.php?tipo=B'  >DESCARGAR EXCEL</A><br>";
echo date('H:i:s') , "Se genero el archivo Excel" , EOL;
$objPHPExcel = new PHPExcel();

// Set document properties
//echo date('H:i:s') , " Set document properties" , EOL;
$nombreg="GENERAL";
 
$objPHPExcel->getProperties()->setCreator("SG-SST")
							 ->setLastModifiedBy("SG-SST")
							 ->setTitle("SG-SST")
							 ->setSubject("SG-SST")
							 ->setDescription("Genera ENCUESTA SG-SST")
							 ->setKeywords("office PHPExcel php")
							 ->setCategory("Test result file");

$cr=1;
//hoja 1
	//titulos
	$row=1;
	  $objPHPExcel->setActiveSheetIndex(0);
      $objPHPExcel->getActiveSheet()
    			->setCellValue('A'.$row, 'CONSENTIMIENTO INFORMADO')
				->setCellValue('B'.$row, 'NOMBRE COMPLETO ')
				->setCellValue('C'.$row, 'DOCUMENTO IDENTIDAD ')
				->setCellValue('D'.$row, 'SEXO')
				->setCellValue('E'.$row, 'FECHA NACIMIENTO')
				->setCellValue('F'.$row, 'ESTADO CIVIL')
				->setCellValue('G'.$row, 'Último nivel de estudios que alcanzó')
				->setCellValue('H'.$row, '¿Cuál es su ocupación o profesión?')
				->setCellValue('I'.$row, 'Lugar de residencia actual: Departamento')
				->setCellValue('J'.$row, 'Lugar de residencia actual: Ciudad/Municipio')
				->setCellValue('K'.$row, 'estrato de los servicios públicos de su vivienda')
				->setCellValue('L'.$row, 'Tipo de vivienda')			
				->setCellValue('M'.$row, 'Número de personas que dependen económicamente de usted')
				->setCellValue('N'.$row, 'Lugar donde trabaja actualmente: Departamento ')
				->setCellValue('O'.$row, 'Lugar donde trabaja actualmente: Ciudad/Municipio')
				->setCellValue('P'.$row, '¿Hace cuántos años trabaja en esta empresa?')
				->setCellValue('Q'.$row, '¿Cuál es el nombre del cargo que desempeña en la empresa?')
				->setCellValue('R'.$row, 'tipo de cargo que más se parece al que usted desempeña ')
				->setCellValue('S'.$row, '¿Hace cuántos años que desempeña el cargo u oficio actual en esta empresa?')
				->setCellValue('T'.$row, 'Escriba el nombre del departamento, área o sección de la empresa en la que trabaja')
				->setCellValue('U'.$row, 'tipo de contrato que tiene actualmente')			
				->setCellValue('V'.$row, 'tipo de salario que recibe')
				->setCellValue('W'.$row, 'Indique cuántas horas diarias de trabajo están establecidas habitualmente por la empresa para su cargo');
			$row++;	
			
	//datos empleados
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 
			  $nombre="";$consentimiento="";$ngenero="";$fechanacimiento="";$nestadocivil="";$nnivelestudio="";$profesion="";$ndepartamentor="";$nmunicipior="";
			  $nestrato="";$ntipovivienda="";$numeropersonas="";$ndepartamentot="";$nmunicipiot="";$nanoempresa="";$cargo="";$ntipocargo="";$nanocargo="";
			  $area="";$ntipocontrato="";$ntiposalario="";$horasdia="";

			   $contarencuesta=0;
			   $sql_datosC=mysqli_query($conexion,"select count(*)  from bateria_encuesta 
												    where empresa='".$empresa."'
													  and noencuesta='".$noencuesta."'
													  and documento='".$documento."'");
			   while($datosC= mysqli_fetch_row($sql_datosC)) {  $contarencuesta=$datosC[0];	 }
			   
			   if($contarencuesta>=1)
			   {
				   $sql_datosC=mysqli_query($conexion,"select consentimiento  from bateria_encuesta_consentimiento 
													   where noencuesta='".$noencuesta."'
													   and documento='".$documento."'"); 
				   while($datosC= mysqli_fetch_row($sql_datosC)) {  $consentimiento=$datosC[0];	 }
					 
				   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
																profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
																anocargo,area,tipocontrato,tiposalario,horasdia
														 FROM bateria_encuesta
															  where empresa='".$empresa."'
															  and noencuesta='".$noencuesta."'
															  and documento='".$documento."'");
					while($datosF= mysqli_fetch_row($sql_datosficha))
					{ 
						$nombre=$datosF[0]; 						
						$documento=$datosF[1]; 	
						$genero=$datosF[2]; 	
						$fechanacimiento=$datosF[3]; 	
						$estadocivil=$datosF[4]; 	
						$nivelestudio=$datosF[5]; 	
						$profesion=$datosF[6]; 	
						$departamentor=$datosF[7]; 	
						$municipior=$datosF[8]; 	
						$estrato=$datosF[9]; 	
						$tipovivienda=$datosF[10]; 	
						$numeropersonas=$datosF[11]; 	
						$departamentot=$datosF[12]; 	
						$municipiot=$datosF[13]; 	
						$anoempresa=$datosF[14]; 	
						$cargo=$datosF[15]; 	
						$tipocargo=$datosF[16]; 	
						$anocargo=$datosF[17]; 	
						$area=$datosF[18]; 	
						$tipocontrato=$datosF[19]; 	
						$tiposalario=$datosF[20]; 	
						$horasdia=$datosF[21]; 	
						
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='estrato' and id='".$estrato."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nestrato=$datosG[0];} 	
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM genero where id='".$genero."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ngenero=$datosG[0];} 	
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM estadocivil where id='".$estadocivil."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nestadocivil=$datosG[0];} 	
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM departamento where id='".$departamentor."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ndepartamentor=$datosG[0];} 
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM municipio where departamento='".$departamentor."' and id='".$municipior."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nmunicipior=$datosG[0];} 			
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='estudios' and id='".$nivelestudio."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nnivelestudio=$datosG[0];} 
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM departamento where id='".$departamentot."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ndepartamentot=$datosG[0];} 
						
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM municipio where departamento='".$departamentot."' and id='".$municipiot."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nmunicipiot=$datosG[0];} 								
																	
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='vivienda' and id='".$tipovivienda."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ntipovivienda=$datosG[0];} 
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='anoempresa' and id='".$anoempresa."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nanoempresa=$datosG[0];} 
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='tipocargo' and id='".$tipocargo."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ntipocargo=$datosG[0];} 
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='cargooficio' and id='".$anocargo."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$nanocargo=$datosG[0];} 
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='tipocontrato' and id='".$tipocontrato."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ntipocontrato=$datosG[0];} 
		
						$rs_datgen=mysqli_query($conexion,"SELECT nombre FROM bateria_cuestionario_ficha where pregunta='tiposalario' and id='".$tiposalario."'");
						while($datosG= mysqli_fetch_row($rs_datgen)){$ntiposalario=$datosG[0];} 
		
				   }
			   }
			   
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $consentimiento)
                                    			->setCellValue('B'.$row, $nombre)
												->setCellValue('C'.$row, $documento)
												->setCellValue('D'.$row, $ngenero)
												->setCellValue('E'.$row, $fechanacimiento)
												->setCellValue('F'.$row, $nestadocivil)
												->setCellValue('G'.$row, $nnivelestudio)
												->setCellValue('H'.$row, $profesion)
												->setCellValue('I'.$row, $ndepartamentor)
												->setCellValue('J'.$row, $nmunicipior)
												->setCellValue('K'.$row, $nestrato)
												->setCellValue('L'.$row, $ntipovivienda)
												->setCellValue('M'.$row, $numeropersonas)
												->setCellValue('N'.$row, $ndepartamentot)
												->setCellValue('O'.$row, $nmunicipiot)
												->setCellValue('P'.$row, $nanoempresa)
												->setCellValue('Q'.$row, $cargo)
												->setCellValue('R'.$row, $ntipocargo)
												->setCellValue('S'.$row, $nanocargo)
												->setCellValue('T'.$row, $area)
												->setCellValue('U'.$row, $ntipocontrato)
												->setCellValue('V'.$row, $ntiposalario)
												->setCellValue('W'.$row, $horasdia);
						$row++;	
		 }
		 $objPHPExcel->getActiveSheet()->setTitle($nombreg);
//fin hoja 1	 

//hoja 2
		//datos empleados
		$row=1;
		$nombreg="CALIFICADOR INTRALABORAL";
		$cg=1;
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";$np=1;
			for ($i =0; $i < 98; $i++){				
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $np);
				$miletra++;
				$np++;
			}
	       
		$row=2;								  
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 $nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->setActiveSheetIndex($cg);
				//RERRCOREMOS LAS PREGUNTAS Y LAS MOSTRAMOS POR EMPLEADOS
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
			    $objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
					$miletra = "C";$np=1;
					for ($i =0; $i < 98; $i++)
					{				

						//VERIFICAMOS EL COLOR
						$sql_datosCOLOR=mysqli_query($conexion,"select mp from bateria_dominio_pregunta
															    where cuestionario='1'
															    and nopregunta='".$np."'
																and forma='B'"); 
						while($datosCOLOR= mysqli_fetch_row($sql_datosCOLOR)) {$mp=$datosCOLOR[0];}
						
					   //VEMOS SI LA PREGUNTA LA CONTESTARON
					   $contar=0;$respuesta="";
					   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
										   				  where empresa='".$empresa."'
														  and bateria='".$noencuesta."'
														  and documento='".$documento."'
														  and nopregunta='".$np."'
														  and cuestionario='1'"); 
						while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
						if($contar>=1)
						 {
						   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																	  where empresa='".$empresa."'
																	  and bateria='".$noencuesta."'
																	  and documento='".$documento."'
																	  and nopregunta='".$np."'
																	  and cuestionario='1'"); 
							while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
						 }
						
						if($mp=='V'){$color="1F8C21";} 
						if($mp=='B'){$color="FFFFFF";} 
						
						$ci=$miletra.$row;$cf=$miletra.$row;$letra="BS";
						$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $color)											
													),
								 )
							);

					    //$objPHPExcel ->getActiveSheet() ->getStyle('A1') ->getFill() ->getStartColor() ->setRGB('1F8C21');
						//$sheet->getActiveSheet()->getStyle('A1')->getFill()->getStartColor()->setRGB('1F8C21');
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);						
						$miletra++;
						$np++;
					}
					
				/*$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento)
											  ->setCellValue('B'.$row, $nombre)
											  ->setCellValue('C'.$row, '')
											  ->setCellValue('D'.$row, '');
				*/							  
										  
			$row++;	
		 }
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;		
//fin hoja 2


//hoja 3
		//datos empleados
		
		$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
				)
			);
			
		$row=1;
		$nombreg="RESPUESTA INTRALABORAL" ;
		//titulos en colores
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, '');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, '');
			
			$ci="C1";$cf="BC1";$letra="C";$color="8E8406";$npre="DOMINIO DEMANDAS DEL TRABAJO ";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
		
			$ci="BD1";$cf="CG1";$letra="BD";$color="C8C16A";$npre="DOMINIO CONTROL SOBRE EL TRABAJO";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);			
			
			$ci="CH1";$cf="DS1";$letra="CH";$color="948A11";$npre="DOMINIO LIDERAZGO Y RELACIONES EN EL TRABAJO  ";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);	
			
			$ci="DT1";$cf="EI1";$letra="DT";$color="E8AE5B";$npre="DOMINIO RECOMPENSAS ";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);							
					
					
			$row++;
			$sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=1 and cuestionario='1' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   if($idpre==40){$ci="C2";$cf="P2";$letra="C";$color="989D9F";}
				   if($idpre==41){$ci="Q2";$cf="U2";$letra="Q";$color="E78408";}
				   if($idpre==42){$ci="V2";$cf="AB2";$letra="V";$color="6088D7";}
				   if($idpre==43){$ci="AC2";$cf="AJ2";$letra="AC";$color="BBCCEC";}
				   if($idpre==44){$ci="AK2";$cf="AP2";$letra="AK";$color="A37EDF";}
				   if($idpre==45){$ci="AQ2";$cf="BA2";$letra="AQ";$color="73A05B";}
				  // if($idpre==7){$ci="BB2";$cf="BB2";$letra="BB";$color="E0AD81";}
				  // if($idpre==8){$ci="BC2";$cf="BC2";$letra="BC";$color="D9A0BB";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					
				  	//TOTALES POR DOMINIO
					if($idpre==45)
					   {
							$ci="BB2";$cf="BB2";$letra="BB";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
							
							$ci="BC2";$cf="BC2";$letra="BC";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					   }
					
			  }
			  
			 $sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=2 and cuestionario='1' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   if($idpre==46){$ci="BD2";$cf="BI2";$letra="BD";$color="989D9F";}
				   if($idpre==47){$ci="BJ2";$cf="BN2";$letra="BJ";$color="E78408";}
				   if($idpre==48){$ci="BO2";$cf="BS2";$letra="BO";$color="6088D7";}
				   if($idpre==49){$ci="BT2";$cf="BZ2";$letra="BT";$color="BBCCEC";}
				   if($idpre==50){$ci="CA2";$cf="CE2";$letra="CA";$color="A37EDF";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					
				  	//TOTALES POR DOMINIO
					if($idpre==50)
					   {
							$ci="CF2";$cf="CF2";$letra="CF";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
							
							$ci="CG2";$cf="CG2";$letra="CG";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					   }
					
			  } 
			 
			  $sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=3 and cuestionario='1' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   if($idpre==51){$ci="CH2";$cf="CV2";$letra="CH";$color="989D9F";}
				   if($idpre==52){$ci="CW2";$cf="DJ2";$letra="CW";$color="E78408";}
				   if($idpre==53){$ci="DK2";$cf="DQ2";$letra="DK";$color="6088D7";$npre="RETROALIMENTACION DEL DESEMPEÑO";}
				   //if($idpre==17){$ci="EL2";$cf="EV2";$letra="EL";$color="BBCCEC";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					
				  	//TOTALES POR DOMINIO
					if($idpre==53)
					   {
							$ci="DR2";$cf="DR2";$letra="DR";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
							
							$ci="DS2";$cf="DS2";$letra="DS";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					   }
					
			  }
			  
			  $sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=4 and cuestionario='1' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   if($idpre==54){$ci="DT2";$cf="EA2";$letra="DT";$color="989D9F"; $npre="RECONOCIMIENTO Y COMPENSACIÓN";}
				   if($idpre==55){$ci="EB2";$cf="EG2";$letra="EB";$color="E78408"; $npre="RECOMPENSAS DERIVADAS DE LA PERTENENCIA A LA ORGANIZACIÓN Y DEL TRABAJO QUE SE REALIZA ";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					
				  	//TOTALES POR DOMINIO
					if($idpre==55)
					   {
							$ci="EH2";$cf="EH2";$letra="EH";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
							
							$ci="EI2";$cf="EI2";$letra="EI";$color="DCDF78";
							$npre="";
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
									array('fill' 	=> array(
																'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
																'color'		=> array('argb' => $color)											
															),
										 )
									);
							$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
							$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
							$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					   }
					
			  }  

 			$ci="EJ2";$cf="EJ2";$letra="EJ";$color="FFFFFF";$npre="";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
			
			$ci="EK2";$cf="EK2";$letra="EK";$color="FFFFFF";$npre="";
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
					

			//sacamos las preguntas por dominio
			$row++;			
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";
			for($mo=40;$mo<=45;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta
											   	   where dominio=1 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL');
				$miletra++;
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DIMENSION');
				$miletra++;
			 }
			 
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL DOMINIO ');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DOMINIO');
			 $miletra++;
				
			 for($mo=46;$mo<=50;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta 
											   where dominio=2 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL');
				$miletra++;
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DIMENSION');
				$miletra++;
			 }
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL DOMINIO');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DOMINIO');
			 $miletra++;
			 
			 
			  for($mo=51;$mo<=53;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta
											   where dominio=3 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL');
				$miletra++;
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DIMENSION');
				$miletra++;
			 }
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL DOMINIO');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DOMINIO');
			 $miletra++;
			 
			   for($mo=54;$mo<=55;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta
											   where dominio=4 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL');
				$miletra++;
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DIMENSION');
				$miletra++;
			 }
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL DOMINIO');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE DOMINIO');
			 $miletra++;
			 
			 
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE BRUTO CUESTIONARIO');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE TRANSFORMADO CUESTIONARIO');
			 $miletra++;
			
			/*$miletra = "C";$np=1;
			for ($i =0; $i < 123; $i++){				
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $np);
				$miletra++;
				$np++;
			}
			*/
	     
		$row++;
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 $nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
				$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
			
				$miletra = "C";$sumat=0; $sumatotaldimension=0;
				for($mo=40;$mo<=45;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												   where dominio=1 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
					    $mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="";$crespuesta="";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='1'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='1'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$crespuesta=$datosbebresp[0];}							  
							 }
						
						if($mp=='B')
						  {  $respuesta="";
							  if($crespuesta=='0'){$respuesta='4';} else {}
							  if($crespuesta=='1'){$respuesta='3';} else {}
							  if($crespuesta=='2'){$respuesta='2';} else {}
							  if($crespuesta=='3'){$respuesta='1';} else {}
							  if($crespuesta=='4'){$respuesta='0';} else {}
							  //$respuesta='55';
						  }
						  else
						  {$respuesta=$crespuesta;}
							 
						if($respuesta<>""){$suma=$suma+$respuesta;}
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$calculo=0;
					$sql_datoscalc=mysqli_query($conexion,"select calculo from bateria_modelo_pregunta
												           where modelo=1 and cuestionario='1' and id='".$mo."' and forma='B'"); 
					while($datoscalc= mysqli_fetch_row($sql_datoscalc)) { $calculo=$datoscalc[0];	}
					$sumat=$sumat+$suma;					
					$calculodominio1=$suma/$calculo*100;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1);
					$miletra++;		
					
					//agregamos los datos a las tablas de resultado
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
															values ('1','".$mo."','".$noencuesta."','".$documento."','".$suma."','".$calculodominio1."','".$fecsis."','".$horasis."')"); 
								
				 }
				 $calculodominio1General=$sumat/200*100;				 
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumat);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1General);
				 $miletra++;
				 
			 	//agregamos los datos a las tablas de resultado general
			 	$sql_insertemp=mysqli_query($conexion,"insert into bateria_repuesta_dominio (bateria,empleado,dominio,respuesta)
															values ('".$noencuesta."','".$documento."','1','".$calculodominio1General."')"); 
				$sumat=0; 
				for($mo=46;$mo<=50;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												   where dominio=2 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
						$mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="-0";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='1'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='1'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
							 }
						if($mp=='B')
						  {
							  if($respuesta==0){$respuesta=4;}
							  if($respuesta==1){$respuesta=3;}
							  if($respuesta==2){$respuesta=2;}
							  if($respuesta==3){$respuesta=1;}
							  if($respuesta==4){$respuesta=0;}
						  }	 
						$suma=$suma+$respuesta;
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$calculo=0;
					$sql_datoscalc=mysqli_query($conexion,"select calculo from bateria_modelo_pregunta
												           where modelo=2 and cuestionario='1' and id='".$mo."' and forma='B'"); 
					while($datoscalc= mysqli_fetch_row($sql_datoscalc)) { $calculo=$datoscalc[0];	}
					$sumat=$sumat+$suma;
					$calculodominio1=$suma/$calculo*100;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1);
					$miletra++;
					
					//agregamos los datos a las tablas de resultado
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
															values ('1','".$mo."','".$noencuesta."','".$documento."','".$suma."','".$calculodominio1."','".$fecsis."','".$horasis."')"); 
					
				 }
				 $calculodominio1General=$sumat/75*100;
				
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumat);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1General);
				 $miletra++;
				 
				  	//agregamos los datos a las tablas de resultado general
			 	$sql_insertemp=mysqli_query($conexion,"insert into bateria_repuesta_dominio (bateria,empleado,dominio,respuesta)
															values ('".$noencuesta."','".$documento."','2','".$calculodominio1General."')"); 

				 $sumat=0;
				 for($mo=51;$mo<=53;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												   where dominio=3 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
					    $mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="-0";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='1'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='1'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
							 }
						if($mp=='B')
						  {
							  if($respuesta==0){$respuesta=4;}
							  if($respuesta==1){$respuesta=3;}
							  if($respuesta==2){$respuesta=2;}
							  if($respuesta==3){$respuesta=1;}
							  if($respuesta==4){$respuesta=0;}
						  }	 	 
						$suma=$suma+$respuesta;
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$calculo=0;
					$sql_datoscalc=mysqli_query($conexion,"select calculo from bateria_modelo_pregunta
												           where modelo=3 and cuestionario='1' and id='".$mo."' and forma='B'"); 
					while($datoscalc= mysqli_fetch_row($sql_datoscalc)) { $calculo=$datoscalc[0];	}
					$sumat=$sumat+$suma;
					$calculodominio1=$suma/$calculo*100;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1);
					$miletra++;
					//agregamos los datos a las tablas de resultado
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
															values ('1','".$mo."','".$noencuesta."','".$documento."','".$suma."','".$calculodominio1."','".$fecsis."','".$horasis."')"); 
					
				 }
				 $calculodominio1General=$sumat/120*100;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumat);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1General);
				 $miletra++;
				  	//agregamos los datos a las tablas de resultado general
			 	$sql_insertemp=mysqli_query($conexion,"insert into bateria_repuesta_dominio (bateria,empleado,dominio,respuesta)
															values ('".$noencuesta."','".$documento."','3','".$calculodominio1General."')"); 
				 
				  $sumat=0;
				 for($mo=54;$mo<=55;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												   where dominio=4 and cuestionario='1' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
					    $mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="-0";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='1'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='1'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
							 }
	
						if($mp=='B')
						  {
							  if($respuesta==0){$respuesta=4;}
							  if($respuesta==1){$respuesta=3;}
							  if($respuesta==2){$respuesta=2;}
							  if($respuesta==3){$respuesta=1;}
							  if($respuesta==4){$respuesta=0;}
						  }	 	
						  
						$suma=$suma+$respuesta;
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$calculo=0;
					$sql_datoscalc=mysqli_query($conexion,"select calculo from bateria_modelo_pregunta
												           where modelo=4 and cuestionario='1' and id='".$mo."' and forma='B'"); 
					while($datoscalc= mysqli_fetch_row($sql_datoscalc)) { $calculo=$datoscalc[0];	}
					$sumat=$sumat+$suma;
					$calculodominio1=$suma/$calculo*100;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1);
					$miletra++;
					
					//agregamos los datos a las tablas de resultado
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
															values ('1','".$mo."','".$noencuesta."','".$documento."','".$suma."','".$calculodominio1."','".$fecsis."','".$horasis."')"); 
					
				 }
				 $calculodominio1General=$sumat/40*100;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumat);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1General);
				 $miletra++;
				
				 //agregamos los datos a las tablas de resultado general
			 	 $sql_insertemp=mysqli_query($conexion,"insert into bateria_repuesta_dominio (bateria,empleado,dominio,respuesta)
															values ('".$noencuesta."','".$documento."','4','".$calculodominio1General."')"); 
				
				 $calculodimension=$sumatotaldimension/388*100;
				 
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumatotaldimension);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodimension);
				 $miletra++;
					
					
					//agregamos los datos a las tablas de resultado general
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_general (bateria,empleado,tipo,total,forma,fecsis,horasis,usuario)
															values ('".$noencuesta."','".$documento."','I','".$calculodimension."','A','".$fecsis."','".$horasis."','".$vg_login."')"); 	
			$row++;	
		 }
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;	
//fin hoja 3



//hoja 4
		//datos empleados
		$row=1;
		$nombreg="CALIFICADOR EXTRALABORAL";
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";$np=1;
			for ($i =0; $i < 31; $i++){				
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $np);
				$miletra++;
				$np++;
			}
	       
		$row=2;								  
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 $nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->setActiveSheetIndex($cg);
				//RERRCOREMOS LAS PREGUNTAS Y LAS MOSTRAMOS POR EMPLEADOS
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
			    $objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
					$miletra = "C";$np=1;
					for ($i =0; $i < 31; $i++)
					{				

						//VERIFICAMOS EL COLOR
						$sql_datosCOLOR=mysqli_query($conexion,"select mp from bateria_dominio_pregunta
															    where cuestionario='2'
															    and nopregunta='".$np."' and forma='B'"); 
						while($datosCOLOR= mysqli_fetch_row($sql_datosCOLOR)) {$mp=$datosCOLOR[0];}
						
					   //VEMOS SI LA PREGUNTA LA CONTESTARON
					   $contar=0;$respuesta="";
					   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
										   				  where empresa='".$empresa."'
														  and bateria='".$noencuesta."'
														  and documento='".$documento."'
														  and nopregunta='".$np."'
														  and cuestionario='2'"); 
						while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
						if($contar>=1)
						 {
						   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																	  where empresa='".$empresa."'
																	  and bateria='".$noencuesta."'
																	  and documento='".$documento."'
																	  and nopregunta='".$np."'
																	  and cuestionario='2'"); 
							while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
						 }
						
						if($mp=='V'){$color="1F8C21";} 
						if($mp=='B'){$color="FFFFFF";} 
						
						$ci=$miletra.$row;$cf=$miletra.$row;$letra="BS";
						$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $color)											
													),
								 )
							);

						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);						
						$miletra++;
						$np++;
					}
				  
			$row++;	
		 }
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;		
//fin hoja 4


//hoja 5
		//datos empleados
		
		$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
				)
			);
			
		$row=2;
		$nombreg="RESPUESTA EXTRALABORAL" ;
		//titulos en colores
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, '');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, '');
			
			$sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=2 and cuestionario='2' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   
				   if($idpre==56){$ci="C2";$cf="G2";$letra="C";$color="989D9F";}
				   if($idpre==57){$ci="H2";$cf="L2";$letra="H";$color="E78408";}
				   if($idpre==58){$ci="M2";$cf="S2";$letra="M";$color="6088D7";}
				   if($idpre==59){$ci="T2";$cf="X2";$letra="T";$color="BBCCEC";}
				   if($idpre==60){$ci="Y2";$cf="AI2";$letra="Y";$color="A37EDF";}
				   if($idpre==61){$ci="AJ2";$cf="AN2";$letra="AN";$color="73A05B";}
				   if($idpre==62){$ci="AO2";$cf="AT2";$letra="AO";$color="E0AD81";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
			  }
			  
			//sacamos las preguntas por dominio
			$row++;			
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";
			for($mo=56;$mo<=62;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta
											   where dominio=2 and cuestionario='2' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL BRUTO');
				$miletra++;
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL TRANS.');
				$miletra++;
			 }
			 
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE TOTAL');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE TRANSFORMADO');
			 $miletra++;
				
		 
		$row++;
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			$nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
				$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
			
				$miletra = "C";$sumat=0; $sumatotaldimension=0;
				for($mo=56;$mo<=62;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												   where dominio=2 and cuestionario='2' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
					    $mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="-0";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='2'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='2'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$crespuesta=$datosbebresp[0];}							  
							 }
						
						if($mp=='B')
						  {  $respuesta="";
							  if($crespuesta=='0'){$respuesta='4';} else {}
							  if($crespuesta=='1'){$respuesta='3';} else {}
							  if($crespuesta=='2'){$respuesta='2';} else {}
							  if($crespuesta=='3'){$respuesta='1';} else {}
							  if($crespuesta=='4'){$respuesta='0';} else {}
							  //$respuesta='55';
						  }
						  else
						  {
							  $respuesta=$crespuesta;
						  
						  }
							 
						$suma=$suma+$respuesta;
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$calculo=0;
					$sql_datoscalc=mysqli_query($conexion,"select calculo from bateria_modelo_pregunta
												           where modelo=2 and cuestionario='2' and id='".$mo."' and forma='B'"); 
					while($datoscalc= mysqli_fetch_row($sql_datoscalc)) { $calculo=$datoscalc[0];	}
					$sumat=$sumat+$suma;					
					$calculodominio1=$suma/$calculo*100;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodominio1);
					$miletra++;					
					
					//agregamos los datos a las tablas de resultado
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
															values ('2','".$mo."','".$noencuesta."','".$documento."','".$suma."','".$calculodominio1."','".$fecsis."','".$horasis."')"); 
					
				 }
				 
				 $calculodimension=$sumatotaldimension/512*100;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumatotaldimension);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodimension);
				 $miletra++;
				 
				 	//agregamos los datos a las tablas de resultado general
					$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_general (bateria,empleado,tipo,total,forma,fecsis,horasis,usuario)
															values ('".$noencuesta."','".$documento."','E','".$calculodimension."','A','".$fecsis."','".$horasis."','".$vg_login."')"); 
															 
										  
			$row++;	
		 }
		 
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;	
//fin hoja 5




//hoja 6
		//datos empleados
		$row=1;
		$nombreg="CALIFICADOR ESTRES";
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";$np=1;
			for ($i =0; $i < 31; $i++){				
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $np);
				$miletra++;
				$np++;
			}
	       
		$row=2;								  
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 $nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->setActiveSheetIndex($cg);
				//RERRCOREMOS LAS PREGUNTAS Y LAS MOSTRAMOS POR EMPLEADOS
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
			    $objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
					$miletra = "C";$np=1;
					for ($i =0; $i < 31; $i++)
					{				

						//VERIFICAMOS EL COLOR
						$sql_datosCOLOR=mysqli_query($conexion,"select mp from bateria_dominio_pregunta
															    where cuestionario='3'
															    and nopregunta='".$np."' and forma='B'"); 
						while($datosCOLOR= mysqli_fetch_row($sql_datosCOLOR)) {$mp=$datosCOLOR[0];}
						
					   //VEMOS SI LA PREGUNTA LA CONTESTARON
					   $contar=0;$respuesta="";
					   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
										   				  where empresa='".$empresa."'
														  and bateria='".$noencuesta."'
														  and documento='".$documento."'
														  and nopregunta='".$np."'
														  and cuestionario='3'"); 
						while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
						if($contar>=1)
						 {
						   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																	  where empresa='".$empresa."'
																	  and bateria='".$noencuesta."'
																	  and documento='".$documento."'
																	  and nopregunta='".$np."'
																	  and cuestionario='3'"); 
							while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$respuesta=$datosbebresp[0];}							  
						 }
						
						if($mp=='C'){$color="BFAF41";} 
						if($mp=='D'){$color="388629";} 
						if($mp=='E'){$color="6471AD";} 
						
						$ci=$miletra.$row;$cf=$miletra.$row;$letra="BS";
						$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $color)											
													),
								 )
							);

						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);						
						$miletra++;
						$np++;
					}
				  
			$row++;	
		 }
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;		
//fin hoja 6



//hoja 7
		//datos empleados
		
		$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
				)
			);
			
		$row=2;
		$nombreg="STRESS RESPUESTAS" ;
		//titulos en colores
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, '');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, '');
			
			$sql_datosbmp=mysqli_query($conexion,"select nombre,id from bateria_modelo_pregunta where modelo=3 and cuestionario='3' and forma='B' order by id asc"); 
			while($datosbmp= mysqli_fetch_row($sql_datosbmp))
			  {
				   $npre=$datosbmp[0];
				   $idpre=$datosbmp[1];
				   
				   if($idpre==63){$ci="C2";$cf="K2";$letra="C";$color="989D9F";}
				   if($idpre==64){$ci="L2";$cf="P2";$letra="L";$color="E78408";}
				   if($idpre==65){$ci="Q2";$cf="AA2";$letra="Q";$color="6088D7";}
				   if($idpre==66){$ci="AB2";$cf="AK2";$letra="AB";$color="BBCCEC";}
			 
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
					$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
					$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
					$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $npre);
			  }
			  
			//sacamos las preguntas por dominio
			$row++;			
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOCUMENTO');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'NOMBRE');
			
			$miletra = "C";
			for($mo=63;$mo<=66;$mo++)
			 {
				$sql_datos=mysqli_query($conexion,"select nopregunta from bateria_dominio_pregunta
											   where dominio=3 and cuestionario='3' and modelo='".$mo."' and forma='B'"); 
				while($datos= mysqli_fetch_row($sql_datos))
				{   $nopregunta=$datos[0];
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nopregunta);
					$miletra++;
				}
				$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL');
				$miletra++;
			 }
			 
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'TOTAL TOTAL ');
			 $miletra++;
			 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, 'PUNTAJE TRANSFORMADO');
			 $miletra++;
				
		 
		$row++;$sumacalculodimension=0;$contaremp=0;$sumapuntajetotal=0;
		$sql_datos=mysqli_query($conexion,"select empleado,empresa from bateria_empleado 
										   where bateria='".$noencuesta."'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];
			 $empresa=$datos[1];
			 $contaremp++;
			$nombre="";
			   $sql_datosficha =mysqli_query($conexion,"select nombre,documento,genero,fechanacimiento, estadocivil,nivelestudio,
															profesion,departamentor,municipior,estrato,tipovivienda,numeropersonas,departamentot,municipiot,anoempresa,cargo,tipocargo,
															anocargo,area,tipocontrato,tiposalario,horasdia
													 FROM bateria_encuesta
														  where empresa='".$empresa."'
														  and noencuesta='".$noencuesta."'
														  and documento='".$documento."'");
				while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombre=$datosF[0]; }
				
				$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $documento);
				$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, $nombre);
			
				$miletra = "C";$sumat=0; $sumatotaldimension=0;
				for($mo=63;$mo<=66;$mo++)
				 { $suma=0;
					$sql_datosres=mysqli_query($conexion,"select nopregunta,mp from bateria_dominio_pregunta
												 		  where dominio=3 and cuestionario='3' and modelo='".$mo."' and forma='B'"); 
					while($datosres= mysqli_fetch_row($sql_datosres))
					{   $np=$datosres[0];
					    $mp=$datosres[1];
						
						  //VEMOS SI LA PREGUNTA LA CONTESTARON
						   $contar=0;$respuesta="";
						   $sql_datosbeb=mysqli_query($conexion,"select count(*) from bateria_empleado_bateria 
															  where empresa='".$empresa."'
															  and bateria='".$noencuesta."'
															  and documento='".$documento."'
															  and nopregunta='".$np."'
															  and cuestionario='3'"); 
							while($datosbeb= mysqli_fetch_row($sql_datosbeb)) {$contar=$datosbeb[0];}
							if($contar>=1)
							 {
							   $sql_datosbebresp=mysqli_query($conexion,"select respuesta from bateria_empleado_bateria 
																		  where empresa='".$empresa."'
																		  and bateria='".$noencuesta."'
																		  and documento='".$documento."'
																		  and nopregunta='".$np."'
																		  and cuestionario='3'"); 
								while($datosbebresp= mysqli_fetch_row($sql_datosbebresp)) {$crespuesta=$datosbebresp[0];}							  
							 }
						$respuesta=-0;
						if($mp=='C')
						  {  $respuesta="";
							  if($crespuesta=='0'){$respuesta='9';} else {}
							  if($crespuesta=='1'){$respuesta='6';} else {}
							  if($crespuesta=='2'){$respuesta='3';} else {}
							  if($crespuesta=='3'){$respuesta='0';} else {}
							  //$respuesta='55';
						  }
						  
						 if($mp=='D')
						  {  $respuesta="";
							  if($crespuesta=='0'){$respuesta='6';} else {}
							  if($crespuesta=='1'){$respuesta='4';} else {}
							  if($crespuesta=='2'){$respuesta='2';} else {}
							  if($crespuesta=='3'){$respuesta='0';} else {}
							  //$respuesta='55';
						  }
						  
						  if($mp=='E')
						  {  $respuesta="";
							  if($crespuesta=='0'){$respuesta='3';} else {}
							  if($crespuesta=='1'){$respuesta='1';} else {}
							  if($crespuesta=='2'){$respuesta='2';} else {}
							  if($crespuesta=='3'){$respuesta='0';} else {}
							  //$respuesta='55';
						  }
						 
						if($respuesta<>"")	{$suma=$suma+$respuesta;}
						$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $respuesta);
						$miletra++;
					}
					$sumatotaldimension=$sumatotaldimension+$suma;
					$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $suma);
					$miletra++;
				 }
				 
				 $calculodimension=$sumatotaldimension/61.16*100;
				 $sumacalculodimension=$sumacalculodimension+$calculodimension;
				 $sumapuntajetotal=$sumapuntajetotal+$sumatotaldimension;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $sumatotaldimension);
				 $miletra++;
				 $objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $calculodimension);
				 $miletra++;
			$row++;	
			
								//agregamos los datos a las tablas de resultado
			$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado (cuestionario,modelopregunta,bateria,empleado,total,puntaje,fecsis,horasis)
													values ('3','".$mo."','".$noencuesta."','".$documento."','".$sumatotaldimension."','".$calculodimension."','".$fecsis."','".$horasis."')"); 


		 }
		 $promedio=$sumacalculodimension/$contaremp;
		
		 $objPHPExcel->getActiveSheet()->setCellValue('AL'.$row, 'TOTAL BRUTO CUESTIONARIO');
		 $objPHPExcel->getActiveSheet()->setCellValue('AM'.$row, 'TOTAL TRANSFORMADO');
		 $row++;	 
		 $objPHPExcel->getActiveSheet()->setCellValue('AL'.$row, $sumapuntajetotal);
		 $objPHPExcel->getActiveSheet()->setCellValue('AM'.$row, $promedio);
		 
		 $salidanivel="";$salidacolor="FFFFFF";
		 $sql_datosbeb=mysqli_query($conexion,"select nivel,rangoi,rangof,color from bateria_calificador 
											   where cuestionario='3' and forma='B'"); 
		 while($datosbeb= mysqli_fetch_row($sql_datosbeb)) 
		   {
			   $nivel=$datosbeb[0];
			   $rangoi=$datosbeb[1];
			   $rangof=$datosbeb[2];
			   $color=$datosbeb[3];
			   
			   if($promedio>=$rangoi && $promedio<=$rangof){$salidanivel=$nivel;$salidacolor=$color;}
		   
		   }
			
		 $stress_totalbruto=$sumapuntajetotal;
		 $stress_promedio=$promedio;
							
		 $row++;	 
		 $objPHPExcel->getActiveSheet()->setCellValue('AL'.$row, 'NIVEL DE RIESGO');
		 //$objPHPExcel->getActiveSheet()->setCellValue('AM'.$row, $salidanivel);
		
		 $miletra="AM";
		 $ci=$miletra.$row;$cf=$miletra.$row; $letra="AM";		 
		 $objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($letra.$row, $salidanivel);
		
		$stress_nivelriesgo=$salidanivel;
		$stress_nivelriesgo_color=$color;
		 
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;	
//fin hoja 7


//hora 8 resultados
	$row=1;
	$nombreg="RESULTADOS FORMA B" ;
	//titulos en colores
		$objPHPExcel->createSheet();	
		$objPHPExcel->setActiveSheetIndex($cg);
		
		$miletra="A";
   	    $ci='A'.$row;$cf='C'.$row; $npre="INTRALABORAL";	$color="D7DF01";	 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $npre);
		
		$row++;
		
		
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DIMENSION');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'PUNTAJE');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'NIVEL RIESGO');
		
		$row++;
		 //sacamos estadistica por intralaboral
		$sql_datos=mysqli_query($conexion,"select id,nombre,modelo from bateria_modelo_pregunta
										   where cuestionario='1' and forma='B'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $id=$datos[0];
			 $nombre=$datos[1];
			 $dominio=$datos[2];
			 
			$miletra = "A";
			$sql_datosficha =mysqli_query($conexion,"select sum(puntaje) FROM bateria_respuesta_empleado
													  where bateria='".$noencuesta."'
													  and modelopregunta='".$id."'
													  and cuestionario='1'");
			while($datosF= mysqli_fetch_row($sql_datosficha)){ $puntaje=$datosF[0]; }
			
			$promedio=$puntaje/$contaremp;	
			
			$salidacolor="FFFFFF";$salidanivel="";
			 $sql_datosbeb=mysqli_query($conexion,"select nivel,rangoi,rangof,color from bateria_calificador 
												   where cuestionario='1' and forma='B' and modelo='".$id."'"); 
			 while($datosbeb= mysqli_fetch_row($sql_datosbeb)) 
			   {
				   $nivel=$datosbeb[0];
				   $rangoi=$datosbeb[1];
				   $rangof=$datosbeb[2];
				   $color=$datosbeb[3];
				   
				   if($promedio>=$rangoi && $promedio<=$rangof){$salidanivel=$nivel;$salidacolor=$color;}
			   
			   }
			
			
			
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nombre);
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($promedio,2));
			$miletra++;
			
			 $ci=$miletra.$row;$cf=$miletra.$row; 
			 $objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $salidacolor)											
													),
								 )
							);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $salidanivel);
			
			
			//agregamos los datos a las tablas de resultado
			$sql_insertemp=mysqli_query($conexion,"insert into bateria_respuesta_empleado_dominio (bateria,dominio,pregunta,puntaje,fecsis,horasis,nivelriesgo,color)
													values ('".$noencuesta."','".$dominio."','".$id."','".$promedio."','".$fecsis."','".$horasis."',
													'".$salidanivel."','".$salidacolor."')"); 


			$row++;
		 }
		 
		 $row++;
		$miletra="A";$salidanivel="";
   	    $ci='A'.$row;$cf='C'.$row; $npre="DOMINIO";	$color="D7DF01";	 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $npre);
		
		 $row++;
 	    $objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DOMINIO');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'PUNTAJE');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'NIVEL RIESGO');
		$row++;
		
		 //sacamos estadistica por dominio
		 
		$sql_datos=mysqli_query($conexion,"select id,nombre from bateria_modelo_dominio
										   where cuestionario='1'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $iddominio=$datos[0];
			 $nombre=$datos[1];
		
	   	   $sql_datosficha =mysqli_query($conexion,"select sum(respuesta),count(*) FROM bateria_repuesta_dominio
												  where bateria='".$noencuesta."'
												  and dominio='".$iddominio."'");
			while($datosF= mysqli_fetch_row($sql_datosficha))
			  { $puntajer=$datosF[0]; 
			    $toempemp=$datosF[1];      
			  }
			  $puntaje=$puntajer/$toempemp;
			
		
					
			$miletra = "A";
			 $salidacolor="FFFFFF";$salidanivel="";
			 $sql_datosbeb=mysqli_query($conexion,"select nivel,rangoi,rangof,color from bateria_calificador 
												   where cuestionario='0' and forma='B' and modelo='".$iddominio."'"); 
			 while($datosbeb= mysqli_fetch_row($sql_datosbeb)) 
			   {
				   $nivel=$datosbeb[0];
				   $rangoi=$datosbeb[1];
				   $rangof=$datosbeb[2];
				   $color=$datosbeb[3];
				   
				   if($puntaje>=$rangoi && $puntaje<=$rangof){$salidanivel=$nivel;$salidacolor=$color;}
			   
			   }
						
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nombre);
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($puntaje,2));
			$miletra++;
			
			 $ci=$miletra.$row;$cf=$miletra.$row; 
			 $objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $salidacolor)											
													),
								 )
							);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $salidanivel);
			
			
			$row++;
		 }
		
		
		 $row++;
		$miletra="A";$salidanivel="";
   	    $ci='A'.$row;$cf='C'.$row; $npre="EXTRALABORAL";	$color="D7DF01";	 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $npre);
		 //sacamos estadistica por extralaboral
		$row++;
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'DIMENSION');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'PUNTAJE');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'NIVEL RIESGO');
		$row++;
		$sql_datos=mysqli_query($conexion,"select id,nombre,modelo from bateria_modelo_pregunta
										   where cuestionario='2' and forma='B'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $id=$datos[0];
			 $nombre=$datos[1];
			 $dominio=$datos[2];
			 
			$miletra = "A";
			$sql_datosficha =mysqli_query($conexion,"select sum(puntaje) FROM bateria_respuesta_empleado
													  where bateria='".$noencuesta."'
													  and modelopregunta='".$id."'
													  and cuestionario='2'");
			while($datosF= mysqli_fetch_row($sql_datosficha)){ $puntaje=$datosF[0]; }
			
			$promedio=$puntaje/$contaremp;	
			
			$salidacolor="FFFFFF";$salidanivel="";
			 $sql_datosbeb=mysqli_query($conexion,"select nivel,rangoi,rangof,color from bateria_calificador 
												   where cuestionario='2' and forma='B' and modelo='".$id."'"); 
			 while($datosbeb= mysqli_fetch_row($sql_datosbeb)) 
			   {
				   $nivel=$datosbeb[0];
				   $rangoi=$datosbeb[1];
				   $rangof=$datosbeb[2];
				   $color=$datosbeb[3];
				   
				   if($promedio>=$rangoi && $promedio<=$rangof){$salidanivel=$nivel;$salidacolor=$color;}
			   
			   }
			
			
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nombre);
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($promedio,2));
			$miletra++;
			
			 $ci=$miletra.$row;$cf=$miletra.$row; 
			 $objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $salidacolor)											
													),
								 )
							);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $salidanivel);
			
			
			//agregamos los datos a las tablas de resultado
			

			$row++;
		 }
	
	
	
	//stress

		$row++;
		$miletra="A";$salidanivel="";
   	    $ci='A'.$row;$cf='C'.$row; $npre="STRESS";	$color="D7DF01";	 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $npre);
		 //sacamos estadistica por extralaboral
		$row++;
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'FORMA B');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'TOTAL ESTIONARIO');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'NIVEL RIESGO');
		


		
		$row++;
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, '');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, number_format($stress_promedio,2));
		
		$ci='C'.$row;$cf='C'.$row; $npre="STRESS";	$color="D7DF01";	$miletra="C"; 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $stress_nivelriesgo_color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $stress_nivelriesgo);


//puntaje colaboradores
    $row++;
	 $row++;
		$miletra="A";$salidanivel="";
   	    $ci='A'.$row;$cf='E'.$row; $npre="PUNTAJE COLABORADOR FORMA B";	$color="D7DF01";	 
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
						array('fill' 	=> array(
													'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
													'color'		=> array('argb' => $color)											
												),
							 )
						);
		$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
		$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
		$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $npre);
		 //sacamos estadistica por extralaboral
		$row++;
		$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'NOMBRE');
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'PUNTAJE INTRALABORAL');
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'PUNTAJE EXTRALABORAL');
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$row, 'TOTAL');
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$row, 'NIVEL DE RIESGO');
		$row++;
		$sql_datos=mysqli_query($conexion,"select empleado from bateria_respuesta_general
										   where bateria='".$noencuesta."'
										   and forma='B' and tipo='I'"); 
		while($datos= mysqli_fetch_row($sql_datos))
		 { 
			 $documento=$datos[0];

			$sql_datosT=mysqli_query($conexion,"select total from bateria_respuesta_general
										   where bateria='".$noencuesta."' and empleado='". $documento."'
										   and forma='B' and tipo='I'"); 
	    	while($datosT= mysqli_fetch_row($sql_datosT)){ $totalI=$datosT[0];}
	    	
	    		$sql_datosT=mysqli_query($conexion,"select total from bateria_respuesta_general
										   where bateria='".$noencuesta."' and empleado='". $documento."'
										   and forma='B' and tipo='E'"); 
	    	while($datosT= mysqli_fetch_row($sql_datosT)){ $totalE=$datosT[0];}
			
			
			
			$sql_datosficha =mysqli_query($conexion,"select primernombre,segundonombre,primerapellido,segundoapellido
													 FROM empleado  where  documento='".$documento."'");
			while($datosF= mysqli_fetch_row($sql_datosficha)){ $nombree=$datosF[0]." ".$datosF[1]." ".$datosF[2]." ".$datosF[3]; }
			
			$salidacolor='FFFFFF';$salidanivel="";
			
			$sumat=$totalI+$totalE;
			$miletra='A';
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $nombree);
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($totalI,2));
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($totalE,2));
			$miletra++;
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, number_format($sumat,2));
			$miletra++;
			
			
			$salidacolor="FFFFFF";$salidanivel="";
			$sql_datosbeb=mysqli_query($conexion,"select nivel,rangoi,rangof,color from bateria_calificador 
												   where cuestionario='10' and forma='B' and modelo='0'"); 
			 while($datosbeb= mysqli_fetch_row($sql_datosbeb)) 
			   {
				   $nivel=$datosbeb[0];
				   $rangoi=$datosbeb[1];
				   $rangof=$datosbeb[2];
				   $color=$datosbeb[3];
				   
				   if($sumat>=$rangoi && $sumat<=$rangof){$salidanivel=$nivel;$salidacolor=$color;}
			   
			   }
			
			 $ci=$miletra.$row;$cf=$miletra.$row; 
			 $objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->applyFromArray(
							array('fill' 	=> array(
														'type'		=> PHPExcel_Style_Fill::FILL_SOLID,
														'color'		=> array('argb' => $salidacolor)											
													),
								 )
							);
			$objPHPExcel->getActiveSheet()->mergeCells($ci.":".$cf);
			$objPHPExcel->getActiveSheet()->getStyle($ci.":".$cf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$objPHPExcel->getActiveSheet()->setCellValue($miletra.$row, $salidanivel);
			
			$row++;
		 }
	

	
		 
	 $objPHPExcel->getActiveSheet()->setTitle($nombreg);	 
//fin hoja 7



	 
$objPHPExcel->setActiveSheetIndex(0);
$callStartTime = microtime(true);

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save(str_replace('.php', '.xlsx', __FILE__));
$callEndTime = microtime(true);
$callTime = $callEndTime - $callStartTime;



